scsi_ioctl
Prev | drivers/scsi/scsi_ioctl.c | Next

## Name

scsi_ioctl — Dispatch ioctl to scsi device

## Synopsis

`int scsi_ioctl (` | struct scsi_device * | sdev,
| int | cmd,
| void __user * | arg`)`;

## Arguments

`sdev`

  scsi device receiving ioctl

`cmd`

  which ioctl is it

`arg`

  data associated with ioctl

## Description

The `scsi_ioctl` function differs from most ioctls in that it does not take a major/minor number as the dev field. Rather, it takes a pointer to a struct scsi_device.

Prev | Up | Next
scsi_init_devinfo | Home | scsi_nonblockable_ioctl